%define parent_app k3b
%define real_name %parent_app-i18n
%define reqiures_version %parent_app >= %version

Name: %real_name-full
Version: 0.11.1
Release: alt3

Summary: Multilanguage support for k3b CD-burning tool.
Summary(ru_RU.KOI8-R):      CD k3b.
License: GPL
Group: Archiving/Cd burning
Packager: Alexey Lokhin <warframe@altlinux.ru>
URL: http://www.k3b.org/

Source: %real_name-%version.tar.bz2
Patch0: video_dvd_project.patch
Patch1: automake_version.patch

# Automatically added by buildreq on Mon Mar 29 2004
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 id3lib-devel kde-i18n-ru kde-settings kdelibs-devel libarts-devel libflac++-devel libflac-devel libjpeg-devel libmad-devel libogg-devel libpng-devel libqt3-devel libsamplerate-devel libstdc++-devel libvorbis-devel qt3-designer xml-utils zlib-devel
BuildRequires: kdelibs-devel >= 3.1, xml-utils, gcc-c++

%description
Multilanguage support for k3b CD-burning tool.
%description -l ru_RU.KOI8-R
     CD k3b.


%package -n %real_name
Summary: Multilanguage support for k3b CD-burning tool.
Summary(ru_RU.KOI8-R):      CD k3b.
License: GPL
Group: Archiving/Cd burning
Requires: %reqiures_version
Requires: %real_name-de
Requires: %real_name-et
Requires: %real_name-fr
Requires: %real_name-ru
Requires: %real_name-world

%description -n %real_name
Multilanguage support for k3b CD-burning tool.
%description -n %real_name -l ru_RU.KOI8-R
     CD k3b.


%package -n %real_name-de
Summary: German language support for k3b CD-burning tool.
License: GPL
Group: Archiving/Cd burning
Requires: %reqiures_version

%description -n %real_name-de
German language support for k3b CD-burning tool.


%package -n %real_name-et
Summary: Estonian language support for k3b CD-burning tool.
License: GPL
Group: Archiving/Cd burning
Requires: %reqiures_version

%description -n %real_name-et
Estonian language support for k3b CD-burning tool.


%package -n %real_name-fr
Summary: French language support for k3b CD-burning tool.
License: GPL
Group: Archiving/Cd burning
Requires: %reqiures_version

%description -n %real_name-fr
French language support for k3b CD-burning tool.


%package -n %real_name-ru
Summary: Russian language support for k3b CD-burning tool.
Summary(ru_RU.KOI8-R):       CD k3b.
License: GPL
Group: Archiving/Cd burning
Requires: %reqiures_version

%description -n %real_name-ru
Russian language support for k3b CD-burning tool.
%description -n %real_name-ru -l ru_RU.KOI8-R
      CD k3b.


%package -n %real_name-world
Summary: Multilanguage support for k3b CD-burning tool.
Summary(ru_RU.KOI8-R):      CD k3b.
License: GPL
Group: Archiving/Cd burning
Requires: %reqiures_version

%description -n %real_name-world
Multilanguage support for k3b CD-burning tool.
%description -n %real_name-world -l ru_RU.KOI8-R
     CD k3b.


%prep
%setup -q -n %real_name-%version
%patch0 -p1
%patch1 -p1
for language in `find po -type d -maxdepth 1 | sed -e 's/po\/*//g' | egrep -v '^$'`; do
	if [ -d "doc/$language" ]; then
		book_files=`find doc/$language -name *.docbook | wc -l`
		if [ 0 == `expr $book_files \> 1` ]; then
			%__subst "s/$language//g" doc/Makefile.am
		fi
	fi
done
%__subst 's/\.la\>/.so/g' admin/acinclude.m4.in
make -f Makefile.cvs


%build
%configure --without-qt --without-arts
make


%install
make install DESTDIR=%buildroot
%find_lang --with-kde %parent_app libk3bdevice --output=%parent_app.world.lang
for language in de et fr ru; do
	grep "/$language/" %parent_app.world.lang > %parent_app.$language.lang
	%__subst "s/.*\/$language\/.*//g" %parent_app.world.lang
done

#Brasilian portugese language files
echo "%lang(pt) /usr/share/doc/HTML/pt_BR/k3b/" >> %parent_app.world.lang

%files -n %real_name
%files -n %real_name-de -f %parent_app.de.lang
%files -n %real_name-et -f %parent_app.et.lang
%files -n %real_name-fr -f %parent_app.fr.lang
%files -n %real_name-ru -f %parent_app.ru.lang
%files -n %real_name-world -f %parent_app.world.lang


%changelog
* Wed Feb 23 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.1-alt3
- Spec file cleaning

* Thu Jan 13 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.1-alt2
- 'cvs.sh' script modified to work with automake 1.9.x.

* Wed Sep 08 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.1-alt1
- Translations from KDE CVS.

* Mon Jun 28 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11-alt2
- Changed requirement for k3b since 'k3b' package was renamed to 'k3b-minimal'.

* Mon Mar 22 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11-alt1
- i18n package for k3b-0.11.
- Main package splitted into multiple localization packages.
- Removed undone k3b Handbook localizations.

* Sat Feb 14 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11-alt0.1
- No translations found on k3b's site. Custom translation package has been made.

* Thu Dec 18 2003 Alexey Lokhin <warframe@altlinux.ru> 0.10-alt2
- Spec file fixed for building without libtool

* Tue Oct 28 2003 Alexey Lokhin <warframe@altlinux.ru> 0.10-alt1
- i18n package for k3b-0.10 has been built

* Tue Oct 21 2003 Rider <rider@altlinux.ru> 0.9-alt2
- more russian translated

* Tue Oct 07 2003 Alexey Lokhin <warframe@altlinux.ru> 0.9-alt1
- k3b i18n package has been built
